package org.example;

import jakarta.servlet.ServletConfig;
import jakarta.servlet.ServletException;
import jakarta.servlet.annotation.WebServlet;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

@WebServlet("/chat-controller")
public class ChatController extends HttpServlet {

	@Override
	public void init(ServletConfig config) {
		config.getServletContext().setAttribute("messages", new ArrayList());
	}

	@Override
	public void doPost(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
		String text = request.getParameter("message");
		List messages = (List) request.getServletContext().getAttribute("messages");
		messages.add(new ChatMessage(text));
		request.getRequestDispatcher("chat.jsp").forward(request, response);
	}
}
