package org.example;

import java.time.LocalDateTime;

public class ChatMessage {

	private final String text;
	private final LocalDateTime date = LocalDateTime.now().withNano(0);

	public ChatMessage(String text) {
		this.text = text;
	}

	public String getText() {
		return text;
	}

	public LocalDateTime getDate() {
		return date;
	}
}
